> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi.md).

# CollectionsApi

## Summary

| Members                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Descriptions                                                                                                                                                          |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `public` [`CollectionsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectionsdto.md) [`Collections`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a99d55526cbe148310bd140c1ea21e97a)`()`                                                                                                                                                                                                                      | It returns a list of all the collections in the database.                                                                                                             |
| `public` [`CollectionsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectionsdto.md) [`Collections`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a91e42b46049a909a59bec675cf5781c4)`(` [`CollectionsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) `collectionsUriParameterBuilder)` | It takes a `CollectionsUriParameterBuilder` object as a parameter, builds an `HttpRequestMessage` object, sends it to the API, and returns a `CollectionsDto` object. |
| `public` [`CollectionDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectiondto.md) [`Collection`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ae19d5cdb32cdec1b8fb41d58da4fa66f)`(string collectionName)`                                                                                                                                                                                                    | This function will return a collection object from the API.                                                                                                           |
| `public` [`StatsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-statsdto.md) [`CollectionStats`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1aaa047ee05af9518ee76cd7c56d17d35b)`(string collectionName)`                                                                                                                                                                                                                                                                                                        | This function will return a StatsDto object that contains the stats for the collection specified in the collectionName parameter.                                     |
| `public` [`LogsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [`CollectionLogs`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ae459db65d80a896ba3ca50df6099e51c)`(string collectionName)`                                                                                                                                                                                                                                                                                                           | This function will return a list of logs for a given collection.                                                                                                      |
| `public` [`LogsDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [`CollectionLogs`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ab837b276acda594ee59a32bbcfa3899b)`(string collectionName,` [`CollectionsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) `collectionsUriParameterBuilder)`                                                                                     | This function returns a list of logs for a given collection.                                                                                                          |
| `private readonly string` [`_requestUriBase`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a1854c4909a1013a684af16fb52e8a387)                                                                                                                                                                                                                                                                                                                                                                                                          |                                                                                                                                                                       |
| `private Uri` [`CollectionsUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a07e4028b75613f3c27b168e278447f34)`()`                                                                                                                                                                                                                                                                                                                                                                                                                   | It returns a Uri object that represents the URL for the collections endpoint.                                                                                         |
| `private Uri` [`CollectionsUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a1e26b6852994d59587b8fa84fafaac3d)`(` [`CollectionsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) `collectionsUriParameterBuilder)`                                                                                                                                                                                              | It takes a `CollectionsUriParameterBuilder` object as a parameter and returns a `Uri` object.                                                                         |
| `private Uri` [`CollectionUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1aff56cb901f7ea42535fe8f007c9d4ae4)`(string collectionName)`                                                                                                                                                                                                                                                                                                                                                                                               | Given a collection name, return a Uri object that represents the collection's endpoint.                                                                               |
| `private Uri` [`CollectionStatsUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a7937ea6f21a012bd204d562b6291b5dd)`(string collectionName)`                                                                                                                                                                                                                                                                                                                                                                                          | It returns a URI that points to the stats endpoint for a given collection.                                                                                            |
| `private Uri` [`CollectionLogsUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a877ce097f0c95c800d21e40f42434e06)`(string collectionName)`                                                                                                                                                                                                                                                                                                                                                                                           | It returns a URI for the collection logs endpoint.                                                                                                                    |
| `private Uri` [`CollectionLogsUri`](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a7f81992d78f135234ecb827d51d8ce0f)`(string collectionName,` [`CollectionsUriParameterBuilder`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) `collectionsUriParameterBuilder)`                                                                                                                                                                     | It returns a Uri object that represents the URL for the collection logs endpoint.                                                                                     |

## Members

**`public`** [**`CollectionsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectionsdto.md) [**`Collections`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a99d55526cbe148310bd140c1ea21e97a)**`()`**

It returns a list of all the collections in the database.

#### Returns

A list of collections

**`public`** [**`CollectionsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectionsdto.md) [**`Collections`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a91e42b46049a909a59bec675cf5781c4)**`(`** [**`CollectionsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) **`collectionsUriParameterBuilder)`**

It takes a `CollectionsUriParameterBuilder` object as a parameter, builds an `HttpRequestMessage` object, sends it to the API, and returns a `CollectionsDto` object.

#### Parameters

* `CollectionsUriParameterBuilder` This is a class that contains all the parameters that can be passed to the API.

#### Returns

A collection of collections.

**`public`** [**`CollectionDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi/atomicassetsapiclient-collections-collectiondto.md) [**`Collection`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ae19d5cdb32cdec1b8fb41d58da4fa66f)**`(string collectionName)`**

This function will return a collection object from the API.

#### Parameters

* `collectionName` The name of the collection you want to retrieve.

#### Returns

A collection of documents.

**`public`** [**`StatsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-statsdto.md) [**`CollectionStats`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1aaa047ee05af9518ee76cd7c56d17d35b)**`(string collectionName)`**

This function will return a StatsDto object that contains the stats for the collection specified in the collectionName parameter.

#### Parameters

* `collectionName` The name of the collection you want to get stats for.

#### Returns

A StatsDto object

**`public`** [**`LogsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [**`CollectionLogs`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ae459db65d80a896ba3ca50df6099e51c)**`(string collectionName)`**

This function will return a list of logs for a given collection.

#### Parameters

* `collectionName` The name of the collection you want to get the logs for.

#### Returns

A LogsDto object

**`public`** [**`LogsDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-logsdto.md) [**`CollectionLogs`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1ab837b276acda594ee59a32bbcfa3899b)**`(string collectionName,`** [**`CollectionsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) **`collectionsUriParameterBuilder)`**

This function returns a list of logs for a given collection.

#### Parameters

* `collectionName` The name of the collection you want to get the logs for.
* `CollectionsUriParameterBuilder` This is a class that allows you to build the query string parameters for the request.

#### Returns

A LogsDto object

**`private readonly string`** [**`_requestUriBase`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a1854c4909a1013a684af16fb52e8a387)

**`private Uri`** [**`CollectionsUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a07e4028b75613f3c27b168e278447f34)**`()`**

It returns a Uri object that represents the URL for the collections endpoint.

**`private Uri`** [**`CollectionsUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a1e26b6852994d59587b8fa84fafaac3d)**`(`** [**`CollectionsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) **`collectionsUriParameterBuilder)`**

It takes a `CollectionsUriParameterBuilder` object as a parameter and returns a `Uri` object.

#### Parameters

* `CollectionsUriParameterBuilder` A class that builds the query string parameters for the collections endpoint.

**`private Uri`** [**`CollectionUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1aff56cb901f7ea42535fe8f007c9d4ae4)**`(string collectionName)`**

Given a collection name, return a Uri object that represents the collection's endpoint.

#### Parameters

* `collectionName` The name of the collection you want to query.

**`private Uri`** [**`CollectionStatsUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a7937ea6f21a012bd204d562b6291b5dd)**`(string collectionName)`**

It returns a URI that points to the stats endpoint for a given collection.

#### Parameters

* `collectionName` The name of the collection you want to get stats for.

**`private Uri`** [**`CollectionLogsUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a877ce097f0c95c800d21e40f42434e06)**`(string collectionName)`**

It returns a URI for the collection logs endpoint.

#### Parameters

* `collectionName` The name of the collection you want to get the logs for.

**`private Uri`** [**`CollectionLogsUri`**](#class_atomic_assets_api_client_1_1_collections_1_1_collections_api_1a7f81992d78f135234ecb827d51d8ce0f)**`(string collectionName,`** [**`CollectionsUriParameterBuilder`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsuriparameterbuilder.md) **`collectionsUriParameterBuilder)`**

It returns a Uri object that represents the URL for the collection logs endpoint.

#### Parameters

* `collectionName` The name of the collection you want to get the logs for.
* `CollectionsUriParameterBuilder` This is a class that builds the query parameters for the request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-collections/atomicassetsapiclient-collections-collectionsapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
